<?php
/**
 * Clase Base Bean para BasePlaEmpresaColaboradorBN
 *
 * @package    Sedapal
 * @subpackage BasePlaEmpresaColaboradorBN
 * @author     Willy
 * @version    SVN:: BasePlaEmpresaColaboradorBN.class.php,v 1.1 2022-07-23 14:30:15 william.taype Exp $
 */
abstract class BasePlaEmpresaColaboradorBN
{
  protected $IdEmpresaCol;
  protected $IdEmpresa;
  protected $IdColaborador;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $Mensaje;
  protected $Error;

  public function getIdEmpresaCol(){
    return $this->IdEmpresaCol;
  }
  public function setIdEmpresaCol($v1){
    $this->IdEmpresaCol = $v1; 
  }

  public function getIdEmpresa(){
    return $this->IdEmpresa;
  }
  public function setIdEmpresa($v1){
    $this->IdEmpresa = $v1; 
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Pla_empresa_colaboradorBN desde un RecordSet */
  public static function retrieveByRs( $o_Pla_empresa_colaboradorRs )
  {
    $o_PlaEmpresaColaboradorBN = new PlaEmpresaColaboradorBN();
    $o_PlaEmpresaColaboradorBN->setIdEmpresaCol( $o_Pla_empresa_colaboradorRs['IdEmpresaCol'] );
    $o_PlaEmpresaColaboradorBN->setIdEmpresa( $o_Pla_empresa_colaboradorRs['IdEmpresa'] );
    $o_PlaEmpresaColaboradorBN->setIdColaborador( $o_Pla_empresa_colaboradorRs['IdColaborador'] );
    $o_PlaEmpresaColaboradorBN->setFechaCreacion( $o_Pla_empresa_colaboradorRs['FechaCreacion'] );
    $o_PlaEmpresaColaboradorBN->setUsuarioCreacion( $o_Pla_empresa_colaboradorRs['UsuarioCreacion'] );
    return $o_PlaEmpresaColaboradorBN;
  }
}